MONGOC_READ_PREFS_GET_MODE(3)

NAME
mongoc_read_prefs_get_mode() - Fetches the mongoc_read_mode_t for the read preference.

SYNOPSIS

mongoc_read_mode_t
mongoc_read_prefs_get_mode (const mongoc_read_prefs_t *read_prefs);

PARAMETERS

read_prefs
    A mongoc_read_prefs_t \&.

DESCRIPTION

Fetches the mongoc_read_mode_t for the read preference.

RETURNS

Returns the read preference mode.

COLOPHON
This page is part of MongoDB C Driver. Please report any bugs at https://jira.mongodb.org/browse/CDRIVER.